package org.king.modules.ad.controller;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.king.common.api.vo.Result;
import org.king.common.aspect.annotation.AutoLog;
import org.king.modules.ad.service.IThirdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Description: TODO
 * @Author: huangcheng
 * @Date: 2021/6/15
 * @Version V1.0
 */
@Slf4j
@Api(tags = "第三方提供接口")
@RestController
@RequestMapping("/ad/third")
public class ThirdInterfaceController {

    @Autowired
    private IThirdService thirdService;

    @AutoLog(value = "第三方查询岸电设备信息")
    @ApiOperation(value = "第三方查询岸电设备信息", notes = "第三方查询岸电设备信息")
    @GetMapping(value = "/queryDeviceInfo")
    public Result<?> queryDeviceInfo() {
        return Result.ok(thirdService.queryDeviceInfo());
    }
}
