package org.king.modules.ad.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.king.common.aspect.annotation.Dict;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 替代措施
 * @Author: king-boot
 * @Date:   2021-06-07
 * @Version: V1.0
 */
@Data
@TableName("ad_alternative_measure")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ad_alternative_measure对象", description="替代措施")
public class AdAlternativeMeasure implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**主键*/
    @ApiModelProperty(value = "主键")
    private Integer id;

    /**船名*/
    @Excel(name = "用电船舶", width = 15)
    @ApiModelProperty(value = "船名")
    private String shipName;

    /**联系方式*/
    @Excel(name = "联系方式", width = 15)
    @ApiModelProperty(value = "联系方式")
    private String contactWay;

    /**码头id*/
    @ApiModelProperty(value = "码头id")
    private String comNo;

    /**单位简称.来自sys_office表同名列*/
    @Excel(name = "作业单位", width = 20)
    @ApiModelProperty(value = "单位简称.来自sys_office表同名列")
    private String companySimpleName;

    /**靠泊时间*/
    @Excel(name = "靠泊时间", width = 15, format = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "靠泊时间")
    private Date berthTime;

    /**离开时间*/
    @Excel(name = "离开时间", width = 15, format = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "离开时间")
    private Date departureTime;

    /**替代措施类型(参见字典表)*/
    @Excel(name = "替代措施", width = 15, dictTable = "hhad.sys_dict", dicCode = "dict_code", dicText = "dict_name")
    @ApiModelProperty(value = "替代措施类型(参见字典表)")
    @Dict(dictTable = "hhad.sys_dict", dicCode = "dict_code", dicText = "dict_name")
    private Integer type;

    /**具体描述*/
    @Excel(name = "具体描述", width = 25)
    @ApiModelProperty(value = "具体描述")
    private String detail;

    /**船id*/
    @ApiModelProperty(value = "船id")
    private String shipId;

    /**MMSI*/
    @Excel(name = "MMSI", width = 15)
    @ApiModelProperty(value = "MMSI")
    private String mmsi;

    /**创建人id*/
    @ApiModelProperty(value = "创建人id")
    private String createUserId;

    /**创建人姓名*/
    @ApiModelProperty(value = "创建人姓名")
    private String createUserName;

    /**创建时间*/
    @Excel(name = "申报时间", width = 15, format = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @TableField(exist = false)
    private String departNam;

}
