package org.king.modules.ad.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 岸电设备
 * @Author: king-boot
 * @Date:   2021-06-09
 * @Version: V1.0
 */
@Data
@TableName("ad_device")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ad_device对象", description="岸电设备")
public class AdDevice implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**设备ID*/
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "设备ID")
    private String id;

    /**码头编号 关联base.sys_office 的id*/
    @Excel(name = "码头编号 关联base.sys_office 的id", width = 15)
    @ApiModelProperty(value = "码头编号 关联base.sys_office 的id")
    private String sysOfficeId;

    /**泊位编号 关联base.geom_un_all 的id*/
    @Excel(name = "泊位编号 关联base.geom_un_all 的id", width = 15)
    @ApiModelProperty(value = "泊位编号 关联base.geom_un_all 的id")
    private Integer berthId;

    /**设备型号*/
    @Excel(name = "设备型号", width = 15)
    @ApiModelProperty(value = "设备型号")
    private String deviceType;

    /**通俗分类：100000-智能设备；200000-半智能设备；300000-非智能设备*/
    @Excel(name = "通俗分类：100000-智能设备；200000-半智能设备；300000-非智能设备", width = 15)
    @ApiModelProperty(value = "通俗分类：100000-智能设备；200000-半智能设备；300000-非智能设备")
    private String type;

    /**电压*/
    @Excel(name = "电压", width = 15)
    @ApiModelProperty(value = "电压")
    private String voltage;

    /**额定电流*/
    @Excel(name = "额定电流", width = 15)
    @ApiModelProperty(value = "额定电流")
    private java.math.BigDecimal ratedCurrent;

    /**最大电流*/
    @Excel(name = "最大电流", width = 15)
    @ApiModelProperty(value = "最大电流")
    private java.math.BigDecimal maximumCurrent;

    /**频率*/
    @Excel(name = "频率", width = 15)
    @ApiModelProperty(value = "频率")
    private java.math.BigDecimal frequency;

    /**功率*/
    @Excel(name = "功率", width = 15)
    @ApiModelProperty(value = "功率")
    private String capy;

    /**创建时间*/
    @Excel(name = "创建时间", width = 15)
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**更新时间*/
    @Excel(name = "更新时间", width = 15)
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    /**创建人*/
    @Excel(name = "创建人", width = 15)
    @ApiModelProperty(value = "创建人")
    private String createUser;

    /**修改人*/
    @Excel(name = "修改人", width = 15)
    @ApiModelProperty(value = "修改人")
    private String updateUser;

    /**备注信息*/
    @Excel(name = "备注信息", width = 15)
    @ApiModelProperty(value = "备注信息")
    private String remarks;

    /**插孔数量*/
    @Excel(name = "插孔数量", width = 15)
    @ApiModelProperty(value = "插孔数量")
    private Integer number;

    /**空闲数量*/
    @Excel(name = "空闲数量", width = 15)
    @ApiModelProperty(value = "空闲数量")
    private Integer freeNum;

    /**管理公司ID*/
    @Excel(name = "管理公司ID", width = 15)
    @ApiModelProperty(value = "管理公司ID")
    private String companyId;

    /**设备所在位置*/
    @Excel(name = "设备所在位置", width = 15)
    @ApiModelProperty(value = "设备所在位置")
    private String wkt;

    /**设备名称*/
    @Excel(name = "设备名称", width = 15)
    @ApiModelProperty(value = "设备名称")
    private String serviceName;

    /**设备生产厂商名称*/
    @Excel(name = "设备生产厂商名称", width = 15)
    @ApiModelProperty(value = "设备生产厂商名称")
    private String firmName;

    /**具体码头位置描述*/
    @Excel(name = "具体码头位置描述", width = 15)
    @ApiModelProperty(value = "具体码头位置描述")
    private String position;

    /**0 收费 1免费 2 未知*/
    @Excel(name = "0 收费 1免费 2 未知", width = 15)
    @ApiModelProperty(value = "0 收费 1免费 2 未知")
    private String isFree;

    /**设备状态 0正常 2故障 3在建*/
    @Excel(name = "设备状态 0正常 2故障 3在建", width = 15)
    @ApiModelProperty(value = "设备状态 0正常 2故障 3在建")
    private String status;

    /**单价*/
    @Excel(name = "单价", width = 15)
    @ApiModelProperty(value = "单价")
    private Integer price;

    /**省*/
    @Excel(name = "省", width = 15)
    @ApiModelProperty(value = "省")
    private String province;

    /**市*/
    @Excel(name = "市", width = 15)
    @ApiModelProperty(value = "市")
    private String city;

    /**区*/
    @Excel(name = "区", width = 15)
    @ApiModelProperty(value = "区")
    private String area;

    /**经度*/
    @Excel(name = "经度", width = 15)
    @ApiModelProperty(value = "经度")
    private String longitude;

    /**纬度*/
    @Excel(name = "纬度", width = 15)
    @ApiModelProperty(value = "纬度")
    private String latitude;

    /**是否删除：0-否，1-是*/
    @Excel(name = "是否删除：0-否，1-是", width = 15)
    @ApiModelProperty(value = "是否删除：0-否，1-是")
    @TableLogic
    private String isDel;

    /**安装单位（码头）名称*/
    @Excel(name = "安装单位（码头）名称", width = 15)
    @ApiModelProperty(value = "安装单位（码头）名称")
    private String companyName;

    /**泊位名称*/
    @Excel(name = "泊位名称", width = 15)
    @ApiModelProperty(value = "泊位名称")
    private String areaName;

    /**设备二维码*/
    @Excel(name = "设备二维码", width = 15)
    @ApiModelProperty(value = "设备二维码")
    private String qrCode;

    /**设备当前电量，并非实时电量，更新于每次充电时*/
    @Excel(name = "设备当前电量，并非实时电量，更新于每次充电时", width = 15)
    @ApiModelProperty(value = "设备当前电量，并非实时电量，更新于每次充电时")
    private java.math.BigDecimal currentConsumption;

    @TableField(exist = false)
    private Integer count;

}
