package org.king.modules.ad.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 设备故障
 * @Author: king-boot
 * @Date:   2021-06-15
 * @Version: V1.0
 */
@Data
@TableName("ad_device_fault_report")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ad_device_fault_report对象", description="设备故障")
public class AdDeviceFaultReport implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**主键*/
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "主键")
    private Integer id;

    /**设备id*/
    @Excel(name = "设备id", width = 15)
    @ApiModelProperty(value = "设备id")
    private String adDeviceId;

    /**设备状态 0正常 2故障 3在建*/
    @Excel(name = "设备状态 0正常 2故障 3在建", width = 15)
    @ApiModelProperty(value = "设备状态 0正常 2故障 3在建")
    private String status;

    /**具体描述*/
    @Excel(name = "具体描述", width = 15)
    @ApiModelProperty(value = "具体描述")
    private String detail;

    private String name;
}
