package org.king.modules.ad.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description: 岸电设备
 * @Author: king-boot
 * @Date:   2021-06-09
 * @Version: V1.0
 */
@Data
public class AdDeviceForThird implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**设备ID*/
    @ApiModelProperty(value = "设备ID")
    private String id;

    /**码头编号 关联base.sys_office 的id*/
    @ApiModelProperty(value = "码头编号 关联base.sys_office 的id")
    private String sysOfficeId;

    /**泊位编号 关联base.geom_un_all 的id*/
    @ApiModelProperty(value = "泊位编号 关联base.geom_un_all 的id")
    private Integer berthId;

    /**通俗分类：100000-智能设备；200000-半智能设备；300000-非智能设备*/
    @ApiModelProperty(value = "通俗分类：100000-智能设备；200000-半智能设备；300000-非智能设备")
    private String type;

    /**电压*/
    @ApiModelProperty(value = "电压")
    private String voltage;

    /**额定电流*/
    @ApiModelProperty(value = "额定电流")
    private java.math.BigDecimal ratedCurrent;

    /**最大电流*/
    @ApiModelProperty(value = "最大电流")
    private java.math.BigDecimal maximumCurrent;

    /**频率*/
    @ApiModelProperty(value = "频率")
    private java.math.BigDecimal frequency;

    /**功率*/
    @ApiModelProperty(value = "功率")
    private String capy;

    /**插孔数量*/
    @ApiModelProperty(value = "插孔数量")
    private Integer number;

    /**空闲数量*/
    @ApiModelProperty(value = "空闲数量")
    private Integer freeNum;

    /**管理公司ID*/
    @ApiModelProperty(value = "管理公司ID")
    private String companyId;

    /**设备名称*/
    @ApiModelProperty(value = "设备名称")
    private String serviceName;

    /**设备生产厂商名称*/
    @ApiModelProperty(value = "设备生产厂商名称")
    private String firmName;

    /**具体码头位置描述*/
    @ApiModelProperty(value = "具体码头位置描述")
    private String position;

    /**0 收费 1免费 2 未知*/
    @ApiModelProperty(value = "0 收费 1免费 2 未知")
    private String isFree;

    /**设备状态 0正常 2故障 3在建*/
    @ApiModelProperty(value = "设备状态 0正常 2故障 3在建")
    private String status;

    /**单价*/
    @ApiModelProperty(value = "单价")
    private Integer price;

    /**省*/
    @ApiModelProperty(value = "省")
    private String province;

    /**市*/
    @ApiModelProperty(value = "市")
    private String city;

    /**区*/
    @ApiModelProperty(value = "区")
    private String area;

    /**经度*/
    @ApiModelProperty(value = "经度")
    private String longitude;

    /**纬度*/
    @ApiModelProperty(value = "纬度")
    private String latitude;

    /**安装单位（码头）名称*/
    @ApiModelProperty(value = "安装单位（码头）名称")
    private String companyName;

    /**泊位名称*/
    @ApiModelProperty(value = "泊位名称")
    private String areaName;

    /**设备当前电量，并非实时电量，更新于每次充电时*/
    @ApiModelProperty(value = "设备当前电量，并非实时电量，更新于每次充电时")
    private java.math.BigDecimal currentConsumption;

    private Integer count;

}
