package org.king.modules.ad.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 船舶故障报告
 * @Author: king-boot
 * @Date:   2021-06-07
 * @Version: V1.0
 */
@Data
@TableName("ad_ship_fault_report")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ad_ship_fault_report对象", description="船舶故障报告")
public class AdShipFaultReport implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**主键*/
    @ApiModelProperty(value = "主键")
    private Integer id;

    /**船id*/
    @ApiModelProperty(value = "船id")
    private String shipId;

    /**船名*/
    @Excel(name = "船舶名称", width = 15)
    @ApiModelProperty(value = "船名")
    private String shipName;

    /**联系方式*/
    @Excel(name = "联系方式", width = 15)
    @ApiModelProperty(value = "联系方式")
    private String contactWay;

    /**故障原因*/
    @Excel(name = "故障原因", width = 25)
    @ApiModelProperty(value = "故障原因")
    private String faultCause;

    /**具体描述*/
    @Excel(name = "故障详情", width = 25)
    @ApiModelProperty(value = "具体描述")
    private String detail;

    /**故障时间*/
    @Excel(name = "故障时间", width = 15, format = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "故障时间")
    private Date faultTime;

    /**预计修复时间*/
    @Excel(name = "预计修复时间", width = 15, format = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "预计修复时间")
    private Date reverseTime;

    /**创建人id*/
    @ApiModelProperty(value = "创建人id")
    private String createUserId;

    /**创建人姓名*/
    @ApiModelProperty(value = "创建人姓名")
    private String createUserName;

    /**创建时间*/
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

}
