package org.king.modules.ad.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 船舶基本信息
 * @Author: king-boot
 * @Date:   2021-06-15
 * @Version: V1.0
 */
@Data
@TableName("base_ship_info")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="base_ship_info对象", description="船舶基本信息")
public class BaseShipInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**主键*/
    @Excel(name = "主键", width = 15)
    @ApiModelProperty(value = "主键")
    private Integer sbiNo;

    /**原主键*/
    @Excel(name = "原主键", width = 15)
    @ApiModelProperty(value = "原主键")
    private String guid;

    /**船舶所有人联系电话*/
    @Excel(name = "船舶所有人联系电话", width = 15)
    @ApiModelProperty(value = "船舶所有人联系电话")
    private String ownerShipPhone;

    /**船籍港*/
    @Excel(name = "船籍港", width = 15)
    @ApiModelProperty(value = "船籍港")
    private String regportCode;

    /**船舶登记机构*/
    @Excel(name = "船舶登记机构", width = 15)
    @ApiModelProperty(value = "船舶登记机构")
    private String orgCode;

    /**船舶识别号*/
    @Excel(name = "船舶识别号", width = 15)
    @ApiModelProperty(value = "船舶识别号")
    private String shipId;

    /**船舶登记号*/
    @Excel(name = "船舶登记号", width = 15)
    @ApiModelProperty(value = "船舶登记号")
    private String shipRegNo;

    /**船舶初次登记号*/
    @Excel(name = "船舶初次登记号", width = 15)
    @ApiModelProperty(value = "船舶初次登记号")
    private String shipFirstregNo;

    /**Imo编号*/
    @Excel(name = "Imo编号", width = 15)
    @ApiModelProperty(value = "Imo编号")
    private String shipImo;

    /**船舶建造完工日期*/
    @Excel(name = "船舶建造完工日期", width = 15)
    @ApiModelProperty(value = "船舶建造完工日期")
    private Date shipBuiltDate;

    /**船舶重大改件日期*/
    @Excel(name = "船舶重大改件日期", width = 15)
    @ApiModelProperty(value = "船舶重大改件日期")
    private Date shipRebuiltDate;

    /**船舶制造厂*/
    @Excel(name = "船舶制造厂", width = 15)
    @ApiModelProperty(value = "船舶制造厂")
    private String shipyardCn;

    /**船舶改建厂*/
    @Excel(name = "船舶改建厂", width = 15)
    @ApiModelProperty(value = "船舶改建厂")
    private String shipRebuiltAddrCn;

    /**船舶经营人*/
    @Excel(name = "船舶经营人", width = 15)
    @ApiModelProperty(value = "船舶经营人")
    private String compNameCn;

    /**船舶所有人*/
    @Excel(name = "船舶所有人", width = 15)
    @ApiModelProperty(value = "船舶所有人")
    private String shipOwnerCn;

    /**船舶所有人联系电话*/
    @Excel(name = "船舶所有人联系电话", width = 15)
    @ApiModelProperty(value = "船舶所有人联系电话")
    private String ownerContactPhone;

    /**船舶管理公司*/
    @Excel(name = "船舶管理公司", width = 15)
    @ApiModelProperty(value = "船舶管理公司")
    private String shipOwnerCompany;

    /**管理公司联系电话*/
    @Excel(name = "管理公司联系电话", width = 15)
    @ApiModelProperty(value = "管理公司联系电话")
    private String shipOwnerCompanyPhone;

    /**船舶类型字典*/
    @Excel(name = "船舶类型字典", width = 15)
    @ApiModelProperty(value = "船舶类型字典")
    private String shipTypeCode;

    /**船舶对应公司id*/
    @Excel(name = "船舶对应公司id", width = 15)
    @ApiModelProperty(value = "船舶对应公司id")
    private String companyId;

    /**船舶中文名称*/
    @Excel(name = "船舶中文名称", width = 15)
    @ApiModelProperty(value = "船舶中文名称")
    private String shipNameCn;

    /**船舶英文名称*/
    @Excel(name = "船舶英文名称", width = 15)
    @ApiModelProperty(value = "船舶英文名称")
    private String shipNameEn;

    /**船舶对应的国家*/
    @Excel(name = "船舶对应的国家", width = 15)
    @ApiModelProperty(value = "船舶对应的国家")
    private String country;

    /**mmsi编码*/
    @Excel(name = "mmsi编码", width = 15)
    @ApiModelProperty(value = "mmsi编码")
    private String mmsi;

    /**船舶呼号*/
    @Excel(name = "船舶呼号", width = 15)
    @ApiModelProperty(value = "船舶呼号")
    private String shipCallsign;

    /**车船标记 0 船 1车*/
    @Excel(name = "车船标记 0 船 1车", width = 15)
    @ApiModelProperty(value = "车船标记 0 船 1车")
    private String vehicleType;

    /**污染物容量*/
    @Excel(name = "污染物容量", width = 15)
    @ApiModelProperty(value = "污染物容量")
    private String pollutantCapacity;

    /**CN码*/
    @Excel(name = "CN码", width = 15)
    @ApiModelProperty(value = "CN码")
    private String cnCode;

    /**船长*/
    @Excel(name = "船长", width = 15)
    @ApiModelProperty(value = "船长")
    private java.math.BigDecimal length;

    /**船宽*/
    @Excel(name = "船宽", width = 15)
    @ApiModelProperty(value = "船宽")
    private java.math.BigDecimal width;

    /**水下深度*/
    @Excel(name = "水下深度", width = 15)
    @ApiModelProperty(value = "水下深度")
    private java.math.BigDecimal depth;

    /**船舶经营人编号*/
    @Excel(name = "船舶经营人编号", width = 15)
    @ApiModelProperty(value = "船舶经营人编号")
    private Integer compUserId;

    /**是否删除的标志 1为删除*/
    @Excel(name = "是否删除的标志 1为删除", width = 15)
    @ApiModelProperty(value = "是否删除的标志 1为删除")
    private String delFlag;

    /**经营人名称*/
    @Excel(name = "经营人名称", width = 15)
    @ApiModelProperty(value = "经营人名称")
    private String compUser;

    /**applyShipPhone*/
    @Excel(name = "applyShipPhone", width = 15)
    @ApiModelProperty(value = "applyShipPhone")
    private String applyShipPhone;

    /**在船人数*/
    @Excel(name = "在船人数", width = 15)
    @ApiModelProperty(value = "在船人数")
    private Integer peopleOnline;

    /**是否趸船 1是；0否*/
    @Excel(name = "是否趸船 1是；0否", width = 15)
    @ApiModelProperty(value = "是否趸船 1是；0否")
    private Integer pontoonShip;

    /**是否业务船 1是；0否*/
    @Excel(name = "是否业务船 1是；0否", width = 15)
    @ApiModelProperty(value = "是否业务船 1是；0否")
    private Integer businessShip;

    /**是否海巡 1是0非*/
    @Excel(name = "是否海巡 1是0非", width = 15)
    @ApiModelProperty(value = "是否海巡 1是0非")
    private Integer cruisingShip;

    /**所属海事机构*/
    @Excel(name = "所属海事机构", width = 15)
    @ApiModelProperty(value = "所属海事机构")
    private String affiliatedOrg;

    /**建立日期*/
    @Excel(name = "建立日期", width = 15)
    @ApiModelProperty(value = "建立日期")
    private Date firstDtm;

    /**修改日期*/
    @Excel(name = "修改日期", width = 15)
    @ApiModelProperty(value = "修改日期")
    private Date lastDtm;

    /**建立用户*/
    @Excel(name = "建立用户", width = 15)
    @ApiModelProperty(value = "建立用户")
    private String firstUser;

    /**修改用户*/
    @Excel(name = "修改用户", width = 15)
    @ApiModelProperty(value = "修改用户")
    private String lastUser;

    /**是否注册*/
    @Excel(name = "是否注册", width = 15)
    @ApiModelProperty(value = "是否注册")
    private String isloginShip;

    /**配员人数*/
    @Excel(name = "配员人数", width = 15)
    @ApiModelProperty(value = "配员人数")
    private Integer partNumber;

    /**吨位*/
    @Excel(name = "吨位", width = 15)
    @ApiModelProperty(value = "吨位")
    private java.math.BigDecimal gt;

}
