package org.king.modules.ad.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 岸电-码头泊位单位关联表
 * @Author: king-boot
 * @Date:   2021-06-09
 * @Version: V1.0
 */
@Data
@TableName("base_wharf")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="base_wharf对象", description="岸电-码头泊位单位关联表")
public class BaseWharf implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**新主键*/
    @Excel(name = "新主键", width = 15)
    @ApiModelProperty(value = "新主键")
    private Integer bwNo;

    /**原表主键（废弃）*/
    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(value = "原表主键（废弃）")
    private String id;

    /**行政区域省*/
    @Excel(name = "行政区域省", width = 15)
    @ApiModelProperty(value = "行政区域省")
    private String provinceId;

    /**行政区域市*/
    @Excel(name = "行政区域市", width = 15)
    @ApiModelProperty(value = "行政区域市")
    private String cityId;

    /**行政区域县/区*/
    @Excel(name = "行政区域县/区", width = 15)
    @ApiModelProperty(value = "行政区域县/区")
    private String areaId;

    /**公司id,原表的org_no（废弃）*/
    @Excel(name = "公司id,原表的org_no（废弃）", width = 15)
    @ApiModelProperty(value = "公司id,原表的org_no（废弃）")
    private String companyId;

    /**组织机构主键（监管单位主键）*/
    @Excel(name = "组织机构主键（监管单位主键）", width = 15)
    @ApiModelProperty(value = "组织机构主键（监管单位主键）")
    private String departNo;

    /**base_port主键（港口/码头）*/
    @Excel(name = "base_port主键（港口/码头）", width = 15)
    @ApiModelProperty(value = "base_port主键（港口/码头）")
    private Integer bpNo;

    /**base_report_berth主键（码头）*/
    @Excel(name = "base_report_berth主键（码头）", width = 15)
    @ApiModelProperty(value = "base_report_berth主键（码头）")
    private Integer brbNo;

    /**作业地点(ecg_no)*/
    @Excel(name = "作业地点(ecg_no)", width = 15)
    @ApiModelProperty(value = "作业地点(ecg_no)")
    private String ecgNo;

    /**建立时间*/
    @Excel(name = "建立时间", width = 15)
    @ApiModelProperty(value = "建立时间")
    private Date firstDtm;

    /**修改时间*/
    @Excel(name = "修改时间", width = 15)
    @ApiModelProperty(value = "修改时间")
    private Date lastDtm;

    /**建立用户*/
    @Excel(name = "建立用户", width = 15)
    @ApiModelProperty(value = "建立用户")
    private String firstUser;

    /**修改用户*/
    @Excel(name = "修改用户", width = 15)
    @ApiModelProperty(value = "修改用户")
    private String lastUser;

    /**状态（0-待备案，1-备案中，2-已备案，3-已拒绝）*/
    @Excel(name = "状态（0-待备案，1-备案中，2-已备案，3-已拒绝）", width = 15)
    @ApiModelProperty(value = "状态（0-待备案，1-备案中，2-已备案，3-已拒绝）")
    private String state;

}
