package org.king.modules.ad.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 海事机构
 * @Author: king-boot
 * @Date:   2021-06-09
 * @Version: V1.0
 */
@Data
@TableName("depart")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="depart对象", description="海事机构")
public class Depart implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**departNo*/
    @Excel(name = "departNo", width = 15)
    @ApiModelProperty(value = "departNo")
    private java.math.BigDecimal departNo;

    /**部门编号*/
    @Excel(name = "部门编号", width = 15)
    @ApiModelProperty(value = "部门编号")
    private String departId;

    /**部门名称*/
    @Excel(name = "部门名称", width = 15)
    @ApiModelProperty(value = "部门名称")
    private String departNam;

    /**上级部门*/
    @Excel(name = "上级部门", width = 15)
    @ApiModelProperty(value = "上级部门")
    private String updepartNo;

    /**显示顺序*/
    @Excel(name = "显示顺序", width = 15)
    @ApiModelProperty(value = "显示顺序")
    private java.math.BigDecimal seqNo;

    /**是否外部单位*/
    @Excel(name = "是否外部单位", width = 15)
    @ApiModelProperty(value = "是否外部单位")
    private String isExtend;

    /**状态*/
    @Excel(name = "状态", width = 15)
    @ApiModelProperty(value = "状态")
    private String state;

    /**级别*/
    @Excel(name = "级别", width = 15)
    @ApiModelProperty(value = "级别")
    private String depLevel;

    /**备注*/
    @Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private String note;

    /**联系电话*/
    @Excel(name = "联系电话", width = 15)
    @ApiModelProperty(value = "联系电话")
    private String phone;

    /**电子邮箱*/
    @Excel(name = "电子邮箱", width = 15)
    @ApiModelProperty(value = "电子邮箱")
    private String mail;

    /**主负责人*/
    @Excel(name = "主负责人", width = 15)
    @ApiModelProperty(value = "主负责人")
    private String manager;

    /**分管领导*/
    @Excel(name = "分管领导", width = 15)
    @ApiModelProperty(value = "分管领导")
    private String branchLeader;

    /**创建时间*/
    @Excel(name = "创建时间", width = 15)
    @ApiModelProperty(value = "创建时间")
    private Date firstDtm;

    /**创建人*/
    @Excel(name = "创建人", width = 15)
    @ApiModelProperty(value = "创建人")
    private String firstUser;

    /**修改时间*/
    @Excel(name = "修改时间", width = 15)
    @ApiModelProperty(value = "修改时间")
    private Date lastDtm;

    /**修改人*/
    @Excel(name = "修改人", width = 15)
    @ApiModelProperty(value = "修改人")
    private String lastUser;

    /**简称*/
    @Excel(name = "简称", width = 15)
    @ApiModelProperty(value = "简称")
    private String shortNam;

    /**公司*/
    @Excel(name = "公司", width = 15)
    @ApiModelProperty(value = "公司")
    private String orgId;

    /**法人代表*/
    @Excel(name = "法人代表", width = 15)
    @ApiModelProperty(value = "法人代表")
    private String lawPresent;

    /**所属行业*/
    @Excel(name = "所属行业", width = 15)
    @ApiModelProperty(value = "所属行业")
    private String compIndustry;

    /**公司性质*/
    @Excel(name = "公司性质", width = 15)
    @ApiModelProperty(value = "公司性质")
    private String compAttribute;

    /**虚拟部门*/
    @Excel(name = "虚拟部门", width = 15)
    @ApiModelProperty(value = "虚拟部门")
    private String virtualDepart;

    /**部门职责*/
    @Excel(name = "部门职责", width = 15)
    @ApiModelProperty(value = "部门职责")
    private String departDuty;

    /**orgNo*/
    @Excel(name = "orgNo", width = 15)
    @ApiModelProperty(value = "orgNo")
    private java.math.BigDecimal orgNo;

    /**生产单位*/
    @Excel(name = "生产单位", width = 15)
    @ApiModelProperty(value = "生产单位")
    private String produceUnit;

    /**成本中心*/
    @Excel(name = "成本中心", width = 15)
    @ApiModelProperty(value = "成本中心")
    private String costDepart;

    /**成本中心类型*/
    @Excel(name = "成本中心类型", width = 15)
    @ApiModelProperty(value = "成本中心类型")
    private String costType;

    /**盈利中心*/
    @Excel(name = "盈利中心", width = 15)
    @ApiModelProperty(value = "盈利中心")
    private String profitDepart;

    /**盈利中心类型*/
    @Excel(name = "盈利中心类型", width = 15)
    @ApiModelProperty(value = "盈利中心类型")
    private String profitType;

    /**经度*/
    @Excel(name = "经度", width = 15)
    @ApiModelProperty(value = "经度")
    private String longitude;

    /**纬度*/
    @Excel(name = "纬度", width = 15)
    @ApiModelProperty(value = "纬度")
    private String latitude;

    /**区域范围*/
    @Excel(name = "区域范围", width = 15)
    @ApiModelProperty(value = "区域范围")
    private Object polygon;

    /**单位性质*/
    @Excel(name = "单位性质", width = 15)
    @ApiModelProperty(value = "单位性质")
    private String partType;

    /**省*/
    @Excel(name = "省", width = 15)
    @ApiModelProperty(value = "省")
    private String province;

    /**市*/
    @Excel(name = "市", width = 15)
    @ApiModelProperty(value = "市")
    private String city;

    /**区*/
    @Excel(name = "区", width = 15)
    @ApiModelProperty(value = "区")
    private String county;

    /**统一信用代码*/
    @Excel(name = "统一信用代码", width = 15)
    @ApiModelProperty(value = "统一信用代码")
    private String code;

    /**详细地址*/
    @Excel(name = "详细地址", width = 15)
    @ApiModelProperty(value = "详细地址")
    private String address;

    /**传真*/
    @Excel(name = "传真", width = 15)
    @ApiModelProperty(value = "传真")
    private String tax;

    /**区域类型（0干线,1支流）*/
    @Excel(name = "区域类型（0干线,1支流）", width = 15)
    @ApiModelProperty(value = "区域类型（0干线,1支流）")
    private String areaType;

}
