package org.king.modules.ad.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 公司作业地点关联
 * @Author: king-boot
 * @Date:   2021-06-09
 * @Version: V1.0
 */
@Data
@TableName("ent_company_geom")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ent_company_geom对象", description="公司作业地点关联")
public class EntCompanyGeom implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**主键*/
    @Excel(name = "主键", width = 15)
    @ApiModelProperty(value = "主键")
    private Integer ecgNo;

    /**原表主键*/
    @Excel(name = "原表主键", width = 15)
    @ApiModelProperty(value = "原表主键")
    private String guid;

    /**要素id(原表主键，同步数据用)*/
    @Excel(name = "要素id(原表主键，同步数据用)", width = 15)
    @ApiModelProperty(value = "要素id(原表主键，同步数据用)")
    private Integer eleId;

    /**状态（1：待审核，9：已审核2拒绝）*/
    @Excel(name = "状态（1：待审核，9：已审核2拒绝）", width = 15)
    @ApiModelProperty(value = "状态（1：待审核，9：已审核2拒绝）")
    private String state;

    /**公司id (数据转移后即将删除)*/
    @Excel(name = "公司id (数据转移后即将删除)", width = 15)
    @ApiModelProperty(value = "公司id (数据转移后即将删除)")
    private String companyId;

    /**1干线2支流3沿海（删除）*/
    @Excel(name = "1干线2支流3沿海（删除）", width = 15)
    @ApiModelProperty(value = "1干线2支流3沿海（删除）")
    private String type;

    /**要素的分类，岸上地点时固定为*/
    @Excel(name = "要素的分类，岸上地点时固定为", width = 15)
    @ApiModelProperty(value = "要素的分类，岸上地点时固定为")
    private String eleType;

    /**作业地点名称*/
    @Excel(name = "作业地点名称", width = 15)
    @ApiModelProperty(value = "作业地点名称")
    private String areaName;

    /**用途*/
    @Excel(name = "用途", width = 15)
    @ApiModelProperty(value = "用途")
    private String purpose;

    /**创建时间*/
    @Excel(name = "创建时间", width = 15)
    @ApiModelProperty(value = "创建时间")
    private Date firstDtm;

    /**修改时间*/
    @Excel(name = "修改时间", width = 15)
    @ApiModelProperty(value = "修改时间")
    private Date lastDtm;

    /**创建人*/
    @Excel(name = "创建人", width = 15)
    @ApiModelProperty(value = "创建人")
    private String firstUser;

    /**修改人*/
    @Excel(name = "修改人", width = 15)
    @ApiModelProperty(value = "修改人")
    private String lastUser;

    /**区域范围*/
    @Excel(name = "区域范围", width = 15)
    @ApiModelProperty(value = "区域范围")
    private Object geomtext;

    /**geomtext转换*/
    @Excel(name = "geomtext转换", width = 15)
    @ApiModelProperty(value = "geomtext转换")
    private Object geometry;

    /**中心点位置*/
    @Excel(name = "中心点位置", width = 15)
    @ApiModelProperty(value = "中心点位置")
    private Object center;

    /**center转换*/
    @Excel(name = "center转换", width = 15)
    @ApiModelProperty(value = "center转换")
    private Object position;

    /**关联企业（现有web_company主键）*/
    @Excel(name = "关联企业（现有web_company主键）", width = 15)
    @ApiModelProperty(value = "关联企业（现有web_company主键）")
    private Integer comNo;

    /**拒绝备案理由*/
    @Excel(name = "拒绝备案理由", width = 15)
    @ApiModelProperty(value = "拒绝备案理由")
    private Object reason;

}
