package org.king.modules.ad.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * @Description: 岸电-公司信息
 * @Author: king-boot
 * @Date:   2021-06-09
 * @Version: V1.0
 */
@Data
@TableName("web_company")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="web_company对象", description="岸电-公司信息")
public class WebCompany implements Serializable {
    private static final long serialVersionUID = 1L;
    
    /**主键*/
    @Excel(name = "主键", width = 15)
    @ApiModelProperty(value = "主键")
    private Integer comNo;

    /**企业名称*/
    @Excel(name = "企业名称", width = 15)
    @ApiModelProperty(value = "企业名称")
    private String comName;

    /**企业ID*/
    @Excel(name = "企业ID", width = 15)
    @ApiModelProperty(value = "企业ID")
    private String comId;

    /**统一社会信用代码*/
    @Excel(name = "统一社会信用代码", width = 15)
    @ApiModelProperty(value = "统一社会信用代码")
    private String uscCode;

    /**(原表主键 等待脚本替换后废弃)*/
    @Excel(name = "(原表主键 等待脚本替换后废弃)", width = 15)
    @ApiModelProperty(value = "(原表主键 等待脚本替换后废弃)")
    private String region;

    /**所在省*/
    @Excel(name = "所在省", width = 15)
    @ApiModelProperty(value = "所在省")
    private String province;

    /**所在市*/
    @Excel(name = "所在市", width = 15)
    @ApiModelProperty(value = "所在市")
    private String city;

    /**所在县（市、区）*/
    @Excel(name = "所在县（市、区）", width = 15)
    @ApiModelProperty(value = "所在县（市、区）")
    private String county;

    /**所在乡镇（街道）*/
    @Excel(name = "所在乡镇（街道）", width = 15)
    @ApiModelProperty(value = "所在乡镇（街道）")
    private String subdistrict;

    /**所在村*/
    @Excel(name = "所在村", width = 15)
    @ApiModelProperty(value = "所在村")
    private String village;

    /**所在园区*/
    @Excel(name = "所在园区", width = 15)
    @ApiModelProperty(value = "所在园区")
    private String park;

    /**注册地址*/
    @Excel(name = "注册地址", width = 15)
    @ApiModelProperty(value = "注册地址")
    private String regAddr;

    /**生产经营地址*/
    @Excel(name = "生产经营地址", width = 15)
    @ApiModelProperty(value = "生产经营地址")
    private String bizAddr;

    /**邮政编码*/
    @Excel(name = "邮政编码", width = 15)
    @ApiModelProperty(value = "邮政编码")
    private String postcode;

    /**成立日期*/
    @Excel(name = "成立日期", width = 15)
    @ApiModelProperty(value = "成立日期")
    private Date setupDate;

    /**法定代表人*/
    @Excel(name = "法定代表人", width = 15)
    @ApiModelProperty(value = "法定代表人")
    private String legalPerson;

    /**联系电话*/
    @Excel(name = "联系电话", width = 15)
    @ApiModelProperty(value = "联系电话")
    private String contactTel;

    /**电子邮箱*/
    @Excel(name = "电子邮箱", width = 15)
    @ApiModelProperty(value = "电子邮箱")
    private String contactEmail;

    /**联系QQ号*/
    @Excel(name = "联系QQ号", width = 15)
    @ApiModelProperty(value = "联系QQ号")
    private String contactQq;

    /**联系人*/
    @Excel(name = "联系人", width = 15)
    @ApiModelProperty(value = "联系人")
    private String contactUser;

    /**手机号*/
    @Excel(name = "手机号", width = 15)
    @ApiModelProperty(value = "手机号")
    private String contactMobile;

    /**联系人部门*/
    @Excel(name = "联系人部门", width = 15)
    @ApiModelProperty(value = "联系人部门")
    private String contactUserDep;

    /**联系人岗位*/
    @Excel(name = "联系人岗位", width = 15)
    @ApiModelProperty(value = "联系人岗位")
    private String contactUserPost;

    /**官网地址*/
    @Excel(name = "官网地址", width = 15)
    @ApiModelProperty(value = "官网地址")
    private String website;

    /**单位传真*/
    @Excel(name = "单位传真", width = 15)
    @ApiModelProperty(value = "单位传真")
    private String fax;

    /**行业类别（小类）*/
    @Excel(name = "行业类别（小类）", width = 15)
    @ApiModelProperty(value = "行业类别（小类）")
    private String indusTypeSmall;

    /**是否国有企业*/
    @Excel(name = "是否国有企业", width = 15)
    @ApiModelProperty(value = "是否国有企业")
    private String stateOwed;

    /**经营范围*/
    @Excel(name = "经营范围", width = 15)
    @ApiModelProperty(value = "经营范围")
    private String businessScope;

    /**经营状态*/
    @Excel(name = "经营状态", width = 15)
    @ApiModelProperty(value = "经营状态")
    private String operationStatus;

    /**注册资本金(万)*/
    @Excel(name = "注册资本金(万)", width = 15)
    @ApiModelProperty(value = "注册资本金(万)")
    private java.math.BigDecimal regCapi;

    /**占地面积（平方米）*/
    @Excel(name = "占地面积（平方米）", width = 15)
    @ApiModelProperty(value = "占地面积（平方米）")
    private java.math.BigDecimal floorArea;

    /**规模情况*/
    @Excel(name = "规模情况", width = 15)
    @ApiModelProperty(value = "规模情况")
    private String scale;

    /**员工人数*/
    @Excel(name = "员工人数", width = 15)
    @ApiModelProperty(value = "员工人数")
    private Integer employeeNum;

    /**经度（度）*/
    @Excel(name = "经度（度）", width = 15)
    @ApiModelProperty(value = "经度（度）")
    private java.math.BigDecimal longitude;

    /**纬度（度）*/
    @Excel(name = "纬度（度）", width = 15)
    @ApiModelProperty(value = "纬度（度）")
    private java.math.BigDecimal latitude;

    /**备注*/
    @Excel(name = "备注", width = 15)
    @ApiModelProperty(value = "备注")
    private Object entprNotes;

    /**创建人*/
    @Excel(name = "创建人", width = 15)
    @ApiModelProperty(value = "创建人")
    private String firstUser;

    /**创建时间*/
    @Excel(name = "创建时间", width = 15)
    @ApiModelProperty(value = "创建时间")
    private Date firstDtm;

    /**修改人*/
    @Excel(name = "修改人", width = 15)
    @ApiModelProperty(value = "修改人")
    private String lastUser;

    /**修改时间*/
    @Excel(name = "修改时间", width = 15)
    @ApiModelProperty(value = "修改时间")
    private Date lastDtm;

    /**主要负责人*/
    @Excel(name = "主要负责人", width = 15)
    @ApiModelProperty(value = "主要负责人")
    private String boss;

    /**主要负责人移动电话*/
    @Excel(name = "主要负责人移动电话", width = 15)
    @ApiModelProperty(value = "主要负责人移动电话")
    private String bossMobile;

    /**安全负责人*/
    @Excel(name = "安全负责人", width = 15)
    @ApiModelProperty(value = "安全负责人")
    private String saftyManager;

    /**安全负责人移动电话*/
    @Excel(name = "安全负责人移动电话", width = 15)
    @ApiModelProperty(value = "安全负责人移动电话")
    private String saftyMobile;

    /**营业执照*/
    @Excel(name = "营业执照", width = 15)
    @ApiModelProperty(value = "营业执照")
    private String businessLic;

    /**管理员账号*/
    @Excel(name = "管理员账号", width = 15)
    @ApiModelProperty(value = "管理员账号")
    private String userId;

    /**企业认证状态*/
    @Excel(name = "企业认证状态", width = 15)
    @ApiModelProperty(value = "企业认证状态")
    private String comCentifyState;

    /**成熟度等级*/
    @Excel(name = "成熟度等级", width = 15)
    @ApiModelProperty(value = "成熟度等级")
    private Integer mlValue;

    /**企业类型*/
    @Excel(name = "企业类型", width = 15)
    @ApiModelProperty(value = "企业类型")
    private String companyType;

    /**企业简称*/
    @Excel(name = "企业简称", width = 15)
    @ApiModelProperty(value = "企业简称")
    private String comSimpleName;

    /**服务性质*/
    @Excel(name = "服务性质", width = 15)
    @ApiModelProperty(value = "服务性质")
    private String serviceType;

    /**接收确认*/
    @Excel(name = "接收确认", width = 15)
    @ApiModelProperty(value = "接收确认")
    private String receiveConfirm;

    /**是否盈利（0：盈利，1不盈利）*/
    @Excel(name = "是否盈利（0：盈利，1不盈利）", width = 15)
    @ApiModelProperty(value = "是否盈利（0：盈利，1不盈利）")
    private String isProfit;

}
